Skip to main content
PATCH
/
v1
/
sms
/
config
Update workspace SMS auto-reply settings
curl --request PATCH \
  --url https://api.revdesk.com/v1/sms/config \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "auto_reply_enabled": true,
  "reply_delay_seconds": 150,
  "default_prompt": "<string>"
}
'
{
  "data": {
    "auto_reply_enabled": true,
    "reply_delay_seconds": 123,
    "default_prompt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

UUID — when present, deduplicates repeat submissions. See /api-reference/idempotency.

Body

application/json
auto_reply_enabled
boolean
reply_delay_seconds
integer
Required range: 0 <= x <= 300
default_prompt
string | null
Maximum string length: 2000

Response

Success

data
object
required